Package com.sas.lsaf.execution.job

## Enum JobSubmissionStatus.DetailStatus

- java.lang.Object
- - java.lang.Enum<JobSubmissionStatus.DetailStatus>
  - - com.sas.lsaf.execution.job.JobSubmissionStatus.DetailStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JobSubmissionStatus.DetailStatus>`
  Enclosing class:
    JobSubmissionStatus

      public static enum JobSubmissionStatus.DetailStatus
      extends java.lang.Enum<JobSubmissionStatus.DetailStatus>

  The valid detailed status values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLETED_CANCELED` | The job was cancelled.
    `COMPLETED_CHECKIN_ERROR` | The job completed successfully but there were errors when checking in the job files.
    `COMPLETED_ERRORS` | The job completed with errors.
    `COMPLETED_ERRORS_CHECKIN_ERROR` | The job completed with errors and there were errors when checking in the job files.
    `COMPLETED_FAILED` | The job failed.
    `COMPLETED_SUCCESSFUL` | The job completed successfully.
    `COMPLETED_WARNINGS` | The job completed with warnings.
    `COMPLETED_WARNINGS_CHECKIN_ERROR` | The job completed with warnings and there were errors when checking in the job files.
    `NOT_SET` | The detailed status is not set.
    `NOT_STARTED` | The job has not started.
    `POST_EXECUTION_PUBLISHING` | The job tasks have completed and post-execution publishing is in progress.
    `RUNNING_TASKS` | The job tasks are running.
    `STARTED` | The job has started.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JobSubmissionStatus.DetailStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JobSubmissionStatus.DetailStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SET

          public static final JobSubmissionStatus.DetailStatus NOT_SET

      The detailed status is not set.

    - #### NOT_STARTED

          public static final JobSubmissionStatus.DetailStatus NOT_STARTED

      The job has not started.

    - #### STARTED

          public static final JobSubmissionStatus.DetailStatus STARTED

      The job has started.

    - #### RUNNING_TASKS

          public static final JobSubmissionStatus.DetailStatus RUNNING_TASKS

      The job tasks are running.

    - #### POST_EXECUTION_PUBLISHING

          public static final JobSubmissionStatus.DetailStatus POST_EXECUTION_PUBLISHING

      The job tasks have completed and post-execution publishing is in progress.

    - #### COMPLETED_SUCCESSFUL

          public static final JobSubmissionStatus.DetailStatus COMPLETED_SUCCESSFUL

      The job completed successfully.

    - #### COMPLETED_ERRORS

          public static final JobSubmissionStatus.DetailStatus COMPLETED_ERRORS

      The job completed with errors.

    - #### COMPLETED_CHECKIN_ERROR

          public static final JobSubmissionStatus.DetailStatus COMPLETED_CHECKIN_ERROR

      The job completed successfully but there were errors when checking in the job files.

    - #### COMPLETED_ERRORS_CHECKIN_ERROR

          public static final JobSubmissionStatus.DetailStatus COMPLETED_ERRORS_CHECKIN_ERROR

      The job completed with errors and there were errors when checking in the job files.

    - #### COMPLETED_FAILED

          public static final JobSubmissionStatus.DetailStatus COMPLETED_FAILED

      The job failed.

    - #### COMPLETED_CANCELED

          public static final JobSubmissionStatus.DetailStatus COMPLETED_CANCELED

      The job was cancelled.

    - #### COMPLETED_WARNINGS

          public static final JobSubmissionStatus.DetailStatus COMPLETED_WARNINGS

      The job completed with warnings.

    - #### COMPLETED_WARNINGS_CHECKIN_ERROR

          public static final JobSubmissionStatus.DetailStatus COMPLETED_WARNINGS_CHECKIN_ERROR

      The job completed with warnings and there were errors when checking in the job files.

  - ### Method Detail

    - #### values

          public static JobSubmissionStatus.DetailStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobSubmissionStatus.DetailStatus c : JobSubmissionStatus.DetailStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobSubmissionStatus.DetailStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null